UI components
=============

Basic elements 
~~~~~~~~~~~~~~

- :doc:`Application windows <components/window>`
- :doc:`Images <components/image>`
- :doc:`Labels <components/label>`
- :doc:`Buttons <components/button>`

Layout
~~~~~~

- :doc:`Boxes <components/box>`
- Grids
- :doc:`Stacks <components/stack>`
- :doc:`Leaflets <components/leaflet>`
- Scrolling
- List boxes
- Flow boxes
- Overlays
- Constraints
- Resizable panels

Buttons
~~~~~~~

- :doc:`Toggles <components/toggle>`
- :doc:`Check boxes <components/check_box>`
- :doc:`Radio buttons <components/radio_button>`
- :doc:`Spin buttons <components/spin_button>`
- :doc:`Link buttons <components/link_button>`
- :doc:`Switches <components/switch>`
- :doc:`Menu buttons <components/menu_button>`

Text entries
~~~~~~~~~~~~

- :doc:`Entries <components/entry>`
- Search entries
- :doc:`Password entries <components/password_entry>`
- Editable labels
- Text areas

Dialogs
~~~~~~~

- :doc:`Messages <components/message_dialog>`
- :doc:`Files selection <components/file_dialog>`
- Preferences
- Colors selection
- Fonts selection
- Applications selection
- Print configuration

Menus
~~~~~

- Popovers
- Menus

Progress indicators
~~~~~~~~~~~~~~~~~~~

- Progress bars
- :doc:`Spinners <components/spinner>`
- :doc:`Level bars <components/level_bar>`

Sliders
~~~~~~~

- Scales
- Scroll bars

Information and progressive disclosure
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

- Expanders
- Revealers
- Information bars
- Toasts

.. toctree::
   :maxdepth: 1
   :hidden:

   components/window.rst
   components/image.rst
   components/label.rst
   components/button.rst
   components/box.rst
   components/stack.rst
   components/leaflet.rst
   components/toggle.rst
   components/check_box.rst
   components/radio_button.rst
   components/spin_button.rst
   components/link_button.rst
   components/switch.rst
   components/menu_button.rst
   components/entry.rst
   components/password_entry.rst
   components/message_dialog.rst
   components/file_dialog.rst
   components/spinner.rst
   components/level_bar.rst
